From 195e056b6fbb59ed612c21b185f02afa197f0d9c Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:38:27 +0000
Subject: [PATCH 6/51] reformat output a little


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 48941ac..47d95d6 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -1,5 +1,4 @@
 import inspect
-from functools import reduce
 
 import modulemd
 
@@ -107,13 +106,11 @@ class ModuleMDLinter(object):
                 flagged.append((method.lint_level, inspect.getdoc(method),
                                 lint_detail, method.lint_guidelines_url, e))
 
-        longest_level_len = reduce(lambda x, y: max(x, len(y)),
-                                   LintLevelDecorator.all_levels, 0)
-
         for i, (lvl, text, detail, url, exc) in enumerate(flagged):
-            print("[{lvl: <{len}}] {url}".format(lvl=lvl,
-                                                 len=longest_level_len,
-                                                 url=url or ""))
+            print("[{lvl}] {url}".format(lvl=lvl.upper(),
+                                         url=url or ""))
+
+            print()
             for l in text.split("\n"):
                 print("\t" + l)
 

